import * as Serverless from 'serverless';
import * as Plugin from 'serverless/classes/Plugin';
interface OptionsExtended extends Serverless.Options {
    analyze?: string;
}
export declare class ServerlessAnalyzeBundlePlugin implements Plugin {
    options: OptionsExtended;
    serverless: Serverless;
    hooks: Plugin.Hooks;
    commands: Plugin.Commands;
    bundleVisualizer: () => Promise<void>;
    constructor(serverless: Serverless, options: OptionsExtended);
}
export {};
